> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chkk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Access Token

> Authenticate and obtain access credentials for authorized operations.



## OpenAPI

````yaml post /login
openapi: 3.0.1
info:
  contact:
    name: Chkk
    url: https://www.chkk.io
  description: A REST API that exposes the Chkk data model.
  title: Chkk API
  version: v1.0
servers:
  - url: https://api.us.chkk.io/v1
security: []
tags:
  - description: Operations that authenticate users and return scoped access tokens.
    name: Login
  - description: >-
      Operations for retrieving Guardrails, Misconfigurations, and
      API-Deprecation Risks detected in your clusters.
    name: Risk
externalDocs:
  description: Detailed documentation of the Chkk data model and product features
  url: https://docs.chkk.io
paths:
  /login:
    post:
      tags:
        - Login
      summary: Get Access Token
      description: Authenticate and obtain access credentials for authorized operations.
      operationId: login
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoginResponse'
          description: Returns organization metadata for authenticated users.
      security:
        - bearer_token: []
components:
  schemas:
    LoginResponse:
      properties:
        access_tokens:
          additionalProperties:
            additionalProperties:
              $ref: '#/components/schemas/AccessToken'
            description: Mapping from account slug to its access token bundle.
            type: object
          description: >-
            Map keyed by **org ID**. Each entry is an object keyed by account
            slug that contains the bearer AccessToken for that account.
          type: object
        user:
          $ref: '#/components/schemas/LoginResponseUser'
          description: Details of the logged in user
      required:
        - continuation_token
        - orgs
      type: object
    AccessToken:
      description: An access token as used by the Chkk API for authentication
      properties:
        access_token:
          description: The actual token to be used in Authorization header
          type: string
        user_id:
          description: The ID of the user represented by the access token
          type: string
        aws_identity_arn:
          description: The ARN of the AWS Identity represented by the access token
          type: string
        org_id:
          description: The ID of the organization represented by the access token
          type: string
        account_id:
          description: The ID of the account represented by the access token
          type: string
        created:
          description: >-
            Time at which the access token was created. Measured in seconds
            since the Unix epoch
          type: integer
      required:
        - access_token
        - created
      type: object
    LoginResponseUser:
      description: Details of the logged in user
      properties:
        user_id:
          description: The ID of the user of the current identity
          type: string
        email:
          description: The email address of the user of the current identity
          type: string
        name:
          description: the name of the user of the current identity
          type: string
        profile_picture:
          description: The profile picture for the user
          type: string
      required:
        - email
        - user_id
      title: LoginResponseUser
      type: object
  securitySchemes:
    bearer_token:
      in: header
      name: Authorization
      type: apiKey
      description: Authorization credentials supplied in the Authorization header.

````